package com.sdtool.common.http;

@SuppressWarnings("unused")
public class HttpException extends RuntimeException {
    protected int retCode;

    public HttpException() {
        super();
    }

    public HttpException(String s) {
        super(s);
    }

    public HttpException(String message, Throwable cause) {
        super(message, cause);
    }

    public HttpException(Throwable cause) {
        super(cause);
    }

    public HttpException(int retCode) {
        this.retCode = retCode;
    }

    public HttpException(int retCode, Throwable cause) {
        super(cause);
        this.retCode = retCode;
    }

    public HttpException(int retCode, String message) {
        super(message);
        this.retCode = retCode;
    }

    public HttpException(int retCode, String message, Throwable cause) {
        super(message, cause);
        this.retCode = retCode;
    }

    public int getRetCode() {
        return retCode;
    }
}
